Security Enhanced Linux Reference Policy

# Layer: apps

## Module: screen

Interfaces Templates

### Description:

GNU terminal multiplexer.

### Interfaces:

screen_dontaudit_getattr_sock_file( domain )

##### Summary

Do not audit attempts to get the attributes of the screen runtime named socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

screen_execute_sock_file( domain )

##### Summary

Execute the screen runtime sock file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

screen_role_template( role_prefix , user_domain , user_exec_domain , user_role )

##### Summary

The role template for the screen module.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | The type of the user domain.
user_exec_domain | User exec domain for execute and transition access.
user_role | The role associated with the user domain.

Return